Skip to navigation

Create an account enrollment for agent-executed commerce

Enrolls an account for agent-executed commerce. This API supports a two-phase enrollment flow when additional verification is required.

  • The initial call is used to submit enrollment details for validation and risk assessment.
  • If the response indicates that step-up authentication is required, call the enrollments API again with the issued enrollmentId and step-up verification result to complete enrollment.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

AuthorizationstringRequired

The OAuth authorization header generated as prescribed in the Oauth 2.0 guide

trackingIdstringRequired
A unique identifier for request tracking.
agentIdstringRequired
Agent's unique identifier.

Request

A request to initiate or complete an enrollment. The request payload is JWE-encrypted on the wire.

The initial request used for account validation and risk assessment (before step-up authentication).objectRequired
The initial request used for account validation and risk assessment.
OR
The follow-up request used to complete enrollment after step-up authenticationobjectRequired

The Follow-up request used to complete enrollment after step-up authentication.

Response

Successful response
The response returned when enrollment is pending additional authentication. Includes details required to complete step-up verification.object

The response returned when enrollment is pending additional authentication. Includes details required to complete step-up verification.

OR
The response returned after enrollment is successfully completed following step-up authentication. Includes account details associated with the enrollment.object

The response returned after enrollment is successfully completed following step-up authentication. Includes account details associated with the enrollment.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error